﻿using System;
using System.Collections.Generic;

using Coordinate = System.Int32;
using Dimension = System.Int32;

namespace EsempioAdapter
{
    // Adapter
    class Rectangle : IShape
    {
        private readonly Legacy.Rectangle _legacyRectangle;

        public Rectangle(Coordinate x, Coordinate y, Dimension w, Dimension h)
        {
            Console.WriteLine("EsempioAdapter.Rectangle.ctor: ({0},{1}), width = {2}, height = {3}", x, y, w, h);
            _legacyRectangle = new Legacy.Rectangle(x, y, x + w, y + h);
        }

        public void Draw()
        {
            Console.WriteLine("EsempioAdapter.Rectangle.Draw.");
            _legacyRectangle.OldDraw();
        }
    }
}
